using VeterinaryContracts.BindingModels;
using VeterinaryContracts.SearchModels;
using VeterinaryContracts.ViewModels;

namespace VeterinaryContracts.StorageContracts
{
	public interface IPurchaseStorage
	{
		List<PurchaseViewModel> GetFullList();
		List<PurchaseViewModel> GetFilteredList(PurchaseSearchModel model);
		PurchaseViewModel? GetElement(PurchaseSearchModel model);
		PurchaseViewModel? Insert(PurchaseBindingModel model);
	}
}
